dwmclock
========

Show the time and current battery charge in the X root window name

Requirements
------------

- libX11


Installation
------------

Copy `config.def.mk` to `config.mk` and edit it to match your setup.

Compile it:

	make

Optionally also compile a version that prints time to stdout instead of updating the X root window name:

	make dwmclock-print

Install dwmclock (needs to be run as root if installing to `/usr` or `/usr/local`):

	make install

Install dwmclock to `~/bin`:

	make DESTDIR=$HOME PREFIX= install

Install dwmclock to `~/.local/bin`:

	make DESTDIR=$HOME PREFIX=/.local install

Usage
-----

Amp it off in your `~/.xinitrc`:

	dwmclock &

Use it in Sway bar config:

	status_command dwmclock-print
